<div>
    <form class="form-inline">
        <i class="fa fa-search"></i>
        <input placeholder="search" class="form-control" type="text" ng-change="ctrl.get()" ng-model="ctrl.search"/>
        <i class="fa fa-hashtag"></i>
        <input class="form-control" type="number" ng-change="ctrl.get()" ng-model="ctrl.limit"/>
    </form>
</div>

<br/><br/>

<table class="table table-stripped">
    <tr>
        <th>Imię</th>
        <th>Nazwisko</th>
        <th>Rok urodzenia</th>
        <th>e-mail</th>
        <th>&nbsp;</th>
    </tr>
    <tr ng-repeat="person in ctrl.persons" ng-style="{ 'background-color': $index == ctrl.edited ? 'lightgray': '' }">
        <td ng-bind="person.firstName"></td>
        <td ng-bind="person.lastName"></td>
        <td ng-bind="person.yearOfBirth"></td>
        <td ng-bind="person.email"></td>
        <td>
            <button class="btn btn-success fa fa-edit" ng-click="ctrl.edit($index)" ng-disabled="ctrl.edited!=-1"></button>
            <button class="btn btn-danger fa fa-trash" ng-click="ctrl.delete($index)" ng-disabled="ctrl.edited!=-1"></button>
        </td>
    </tr>
    <tr>
        <td>
            <input type="text" class="form-control" ng-model="ctrl.person.firstName"/>
        </td>
        <td>
            <input type="text" class="form-control" ng-model="ctrl.person.lastName"/>
        </td>
        <td>
            <input type="number" class="form-control" ng-model="ctrl.person.yearOfBirth"/>
        </td>
        <td>
            <input type="text" class="form-control" ng-model="ctrl.person.email"/>
        </td>
        <td>
            <button class="btn btn-primary fa fa-plus" ng-click="ctrl.post()" ng-disabled="!ctrl.validate()" ng-if="ctrl.edited==-1"></button>
            <button class="btn btn-success fa fa-check" ng-click="ctrl.put()" ng-disabled="!ctrl.validate()" ng-if="ctrl.edited!=-1"></button>
            <button class="btn btn-danger fa fa-times" ng-click="ctrl.cancel()" ng-if="ctrl.edited!=-1"></button>
        </td>
    </tr>
</table>